package com.bocloud.cmp.model.hmc.pcm;

import java.util.List;

public class SharedStoragePool {
    private String id;
    private List<String> poolDisks;
    private List<String> poolVirtualDevices;
    private Double numOfReads;
    private Double numOfWrites;
    private Double totalSpace;
    private Double usedSpace;
    private Double readBytes;
    private Double writeBytes;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public List<String> getPoolDisks() {
        return poolDisks;
    }

    public void setPoolDisks(List<String> poolDisks) {
        this.poolDisks = poolDisks;
    }

    public Double getNumOfReads() {
        return numOfReads;
    }

    public void setNumOfReads(Double numOfReads) {
        this.numOfReads = numOfReads;
    }

    public Double getNumOfWrites() {
        return numOfWrites;
    }

    public void setNumOfWrites(Double numOfWrites) {
        this.numOfWrites = numOfWrites;
    }

    public Double getTotalSpace() {
        return totalSpace;
    }

    public void setTotalSpace(Double totalSpace) {
        this.totalSpace = totalSpace;
    }

    public Double getUsedSpace() {
        return usedSpace;
    }

    public void setUsedSpace(Double usedSpace) {
        this.usedSpace = usedSpace;
    }

    public Double getReadBytes() {
        return readBytes;
    }

    public void setReadBytes(Double readBytes) {
        this.readBytes = readBytes;
    }

    public Double getWriteBytes() {
        return writeBytes;
    }

    public void setWriteBytes(Double writeBytes) {
        this.writeBytes = writeBytes;
    }

    public List<String> getPoolVirtualDevices() {
        return poolVirtualDevices;
    }

    public void setPoolVirtualDevices(List<String> poolVirtualDevices) {
        this.poolVirtualDevices = poolVirtualDevices;
    }
}
